Get order payment details
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Get the payment details of the current user pool order
Method name
ManagementClient.get_order_pay_detail
Request parameters
| Name | Type | Is it required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| orderNo | string | Yes | - | Order number | 2022080410062060e26f7fd6b9 |
Request Response
Type: CostGetOrderPayDetailRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | <a CostGetOrderPayDetail | Response data |
Sample result:
json
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"orderNo": "2022080911591337da0aae9660",
"channelOrderNo": "Mock22e7ecfd-745d-46ad-b563-ef4db5719bfb",
"paidAmount": "7.9",
"paidTime": "2022-08-09 11:59:46",
"paidAccountNo": "62bec1591aeb41ad3f1a6503",
"payStatus": "3",
"createTime": "2022-08-09 11:59:20",
"payType": "Alipay"
}
}Data Structure
CostGetOrderPayDetail
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| orderNo | string | Yes | Order number | 2022080911591337da0aae9660 |
| channelOrderNo | string | Yes | Channel order number | Mock22e7ecfd-745d-46ad-b563-ef4db5719bfb |
| paidAmount | string | Yes | Channel order number | 7.9 |
| paidTime | string | Yes | Payment time | 2022-08-09 11:59:46 |
| paidAccountNo | string | Yes | Payment account | 62bec1591aeb41ad3f1a6503 |
| payStatus | string | Yes | Payment status | 3 |
| createTime | string | Yes | Creation time | 2022-08-09 11:59:20 |
| payType | string | Yes | Payment method | Alipay |